clear all

version 7.0

* Calculating of daily and annual sums of carbon fluxes
*_____________________________________________________________________________________________________________________________________

use C:\Mislav\empty_met_timestamp\timestamp_2008_2017.dta
replace Hour=0 if Hour==24
sort Year DoY Hour time
save C:\Mislav\empty_met_timestamp\timestamp_2008_2017.dta, replace
clear

* Data loading
*_____________________________________________________________________________________________________________________________________
insheet using C:\Mislav\55_Gapfilling\Jena_online_outputs\2008_2017_TairFP_ustf_v6im_v2.txt
drop in 1
drop in 1
gen Year=real(v1)
gen DoY=real(v2)
gen Hour=real(v3)
gen Tair=real(v69)
format Tair %8.2f
gen Tsoil=real(v78)
format Tsoil %8.2f
gen Rg=real(v42)
format Rg %8.0f
gen VPD_orig=real(v50)
format VPD_orig %8.2f
gen VPD=real(v51)
format VPD %8.2f
gen RH=real(v60)
gen NEE_orig=real(v14)
gen NEE=real(v15)
gen NEE_unC=real(v20)
gen LE_orig=real(v23)
gen LE=real(v24)
gen H_orig=real(v32)
gen H=real(v33)
gen Reco=real(v91)
gen GPP=real(v92)
drop v1-v93

sort Year DoY Hour
merge Year DoY Hour using C:\Mislav\empty_met_timestamp\timestamp_2008_2017.dta
drop _m
drop Hour
ren hour2 Hour
ren day Day
ren month Month
ren DoY Doy
ren minute Minute
order timestamp date Year Month Day Doy Hour Minute hhmm time

* Timestamp adjustment 
*_____________________________________________________________________________________________________________________________________ 
replace Doy=Doy-1 if hhmm==2400
replace Day=Day-1 if hhmm==2400
replace Day=31 if timestamp=="2008-02-01 00:00"
replace Day=29 if timestamp=="2008-03-01 00:00"
replace Day=31 if timestamp=="2008-04-01 00:00"
replace Day=30 if timestamp=="2008-05-01 00:00"
replace Day=31 if timestamp=="2008-06-01 00:00"
replace Day=30 if timestamp=="2008-07-01 00:00"
replace Day=31 if timestamp=="2008-08-01 00:00"
replace Day=31 if timestamp=="2008-09-01 00:00"
replace Day=30 if timestamp=="2008-10-01 00:00"
replace Day=31 if timestamp=="2008-11-01 00:00"
replace Day=30 if timestamp=="2008-12-01 00:00"
replace Day=31 if timestamp=="2009-01-01 00:00"
replace Doy=366 if timestamp=="2009-01-01 00:00"
replace Year=2008 if timestamp=="2009-01-01 00:00"
replace Day=31 if timestamp=="2009-02-01 00:00"
replace Day=28 if timestamp=="2009-03-01 00:00"
replace Day=31 if timestamp=="2009-04-01 00:00"
replace Day=30 if timestamp=="2009-05-01 00:00"
replace Day=31 if timestamp=="2009-06-01 00:00"
replace Day=30 if timestamp=="2009-07-01 00:00"
replace Day=31 if timestamp=="2009-08-01 00:00"
replace Day=31 if timestamp=="2009-09-01 00:00"
replace Day=30 if timestamp=="2009-10-01 00:00"
replace Day=31 if timestamp=="2009-11-01 00:00"
replace Day=30 if timestamp=="2009-12-01 00:00"
replace Day=31 if timestamp=="2010-01-01 00:00"
replace Doy=365 if timestamp=="2010-01-01 00:00"
replace Year=2009 if timestamp=="2010-01-01 00:00"
replace Day=31 if timestamp=="2010-02-01 00:00"
replace Day=28 if timestamp=="2010-03-01 00:00"
replace Day=31 if timestamp=="2010-04-01 00:00"
replace Day=30 if timestamp=="2010-05-01 00:00"
replace Day=31 if timestamp=="2010-06-01 00:00"
replace Day=30 if timestamp=="2010-07-01 00:00"
replace Day=31 if timestamp=="2010-08-01 00:00"
replace Day=31 if timestamp=="2010-09-01 00:00"
replace Day=30 if timestamp=="2010-10-01 00:00"
replace Day=31 if timestamp=="2010-11-01 00:00"
replace Day=30 if timestamp=="2010-12-01 00:00"
replace Day=31 if timestamp=="2011-01-01 00:00"
replace Doy=365 if timestamp=="2011-01-01 00:00"
replace Year=2010 if timestamp=="2011-01-01 00:00"
replace Day=31 if timestamp=="2011-02-01 00:00"
replace Day=28 if timestamp=="2011-03-01 00:00"
replace Day=31 if timestamp=="2011-04-01 00:00"
replace Day=30 if timestamp=="2011-05-01 00:00"
replace Day=31 if timestamp=="2011-06-01 00:00"
replace Day=30 if timestamp=="2011-07-01 00:00"
replace Day=31 if timestamp=="2011-08-01 00:00"
replace Day=31 if timestamp=="2011-09-01 00:00"
replace Day=30 if timestamp=="2011-10-01 00:00"
replace Day=31 if timestamp=="2011-11-01 00:00"
replace Day=30 if timestamp=="2011-12-01 00:00"
replace Day=31 if timestamp=="2012-01-01 00:00"
replace Doy=365 if timestamp=="2012-01-01 00:00"
replace Year=2011 if timestamp=="2012-01-01 00:00"
replace Day=31 if timestamp=="2012-02-01 00:00"
replace Day=29 if timestamp=="2012-03-01 00:00"
replace Day=31 if timestamp=="2012-04-01 00:00"
replace Day=30 if timestamp=="2012-05-01 00:00"
replace Day=31 if timestamp=="2012-06-01 00:00"
replace Day=30 if timestamp=="2012-07-01 00:00"
replace Day=31 if timestamp=="2012-08-01 00:00"
replace Day=31 if timestamp=="2012-09-01 00:00"
replace Day=30 if timestamp=="2012-10-01 00:00"
replace Day=31 if timestamp=="2012-11-01 00:00"
replace Day=30 if timestamp=="2012-12-01 00:00"
replace Day=31 if timestamp=="2013-01-01 00:00"
replace Doy=366 if timestamp=="2013-01-01 00:00"
replace Year=2012 if timestamp=="2013-01-01 00:00"
replace Day=31 if timestamp=="2013-02-01 00:00"
replace Day=28 if timestamp=="2013-03-01 00:00"
replace Day=31 if timestamp=="2013-04-01 00:00"
replace Day=30 if timestamp=="2013-05-01 00:00"
replace Day=31 if timestamp=="2013-06-01 00:00"
replace Day=30 if timestamp=="2013-07-01 00:00"
replace Day=31 if timestamp=="2013-08-01 00:00"
replace Day=31 if timestamp=="2013-09-01 00:00"
replace Day=30 if timestamp=="2013-10-01 00:00"
replace Day=31 if timestamp=="2013-11-01 00:00"
replace Day=30 if timestamp=="2013-12-01 00:00"
replace Day=31 if timestamp=="2014-01-01 00:00"
replace Doy=365 if timestamp=="2014-01-01 00:00"
replace Year=2013 if timestamp=="2014-01-01 00:00"
replace Day=31 if timestamp=="2014-02-01 00:00"
replace Day=28 if timestamp=="2014-03-01 00:00"
replace Day=31 if timestamp=="2014-04-01 00:00"
replace Day=30 if timestamp=="2014-05-01 00:00"
replace Day=31 if timestamp=="2014-06-01 00:00"
replace Day=30 if timestamp=="2014-07-01 00:00"
replace Day=31 if timestamp=="2014-08-01 00:00"
replace Day=31 if timestamp=="2014-09-01 00:00"
replace Day=30 if timestamp=="2014-10-01 00:00"
replace Day=31 if timestamp=="2014-11-01 00:00"
replace Day=30 if timestamp=="2014-12-01 00:00"
replace Day=31 if timestamp=="2015-01-01 00:00"
replace Doy=365 if timestamp=="2015-01-01 00:00"
replace Year=2014 if timestamp=="2015-01-01 00:00"
replace Day=31 if timestamp=="2015-02-01 00:00"
replace Day=28 if timestamp=="2015-03-01 00:00"
replace Day=31 if timestamp=="2015-04-01 00:00"
replace Day=30 if timestamp=="2015-05-01 00:00"
replace Day=31 if timestamp=="2015-06-01 00:00"
replace Day=30 if timestamp=="2015-07-01 00:00"
replace Day=31 if timestamp=="2015-08-01 00:00"
replace Day=31 if timestamp=="2015-09-01 00:00"
replace Day=30 if timestamp=="2015-10-01 00:00"
replace Day=31 if timestamp=="2015-11-01 00:00"
replace Day=30 if timestamp=="2015-12-01 00:00"
replace Day=31 if timestamp=="2016-01-01 00:00"
replace Doy=365 if timestamp=="2016-01-01 00:00"
replace Year=2015 if timestamp=="2016-01-01 00:00"
replace Day=31 if timestamp=="2016-02-01 00:00"
replace Day=29 if timestamp=="2016-03-01 00:00"
replace Day=31 if timestamp=="2016-04-01 00:00"
replace Day=30 if timestamp=="2016-05-01 00:00"
replace Day=31 if timestamp=="2016-06-01 00:00"
replace Day=30 if timestamp=="2016-07-01 00:00"
replace Day=31 if timestamp=="2016-08-01 00:00"
replace Day=31 if timestamp=="2016-09-01 00:00"
replace Day=30 if timestamp=="2016-10-01 00:00"
replace Day=31 if timestamp=="2016-11-01 00:00"
replace Day=30 if timestamp=="2016-12-01 00:00"
replace Day=31 if timestamp=="2017-01-01 00:00"
replace Doy=366 if timestamp=="2017-01-01 00:00"
replace Year=2016 if timestamp=="2017-01-01 00:00"
replace Day=31 if timestamp=="2017-02-01 00:00"
replace Day=28 if timestamp=="2017-03-01 00:00"
replace Day=31 if timestamp=="2017-04-01 00:00"
replace Day=30 if timestamp=="2017-05-01 00:00"
replace Day=31 if timestamp=="2017-06-01 00:00"
replace Day=30 if timestamp=="2017-07-01 00:00"
replace Day=31 if timestamp=="2017-08-01 00:00"
replace Day=31 if timestamp=="2017-09-01 00:00"
replace Day=30 if timestamp=="2017-10-01 00:00"
replace Day=31 if timestamp=="2017-11-01 00:00"
replace Day=30 if timestamp=="2017-12-01 00:00"
replace Day=31 if timestamp=="2018-01-01 00:00"
replace Doy=365 if timestamp=="2018-01-01 00:00"
replace Year=2017 if timestamp=="2018-01-01 00:00"
drop time
sort Year Month Doy hhmm
*_____________________________________________________________________________________________________________________________________

* Converting to gC m-2
*_____________________________________________________________________________________________________________________________________
replace NEE_orig=. if NEE_orig==-9999
replace LE_orig=. if LE_orig==-9999
replace H_orig=. if H_orig==-9999
gen NEE_orig_gc=NEE_orig*0.00001201*1800
gen NEE_gC=NEE*0.00001201*1800
gen NEE_unc_gC=NEE_unC*0.00001201*1800
gen GPP_gC=GPP*0.00001201*1800
gen RECO_gC=Reco*0.00001201*1800
*_____________________________________________________________________________________________________________________________________

* Transpiration mm/m^2s
*_____________________________________________________________________________________________________________________________________
gen E=(LE*1800)/2264760
*_____________________________________________________________________________________________________________________________________

* Data coverage, flag=0 if data was missing and gap-filled, flag=1 if data was measured
*_____________________________________________________________________________________________________________________________________
gen measured_VPD=0
replace measured_VPD=1 if VPD_orig!=.
sort Year Doy Hour hhmm
by Year Doy: egen flag_count_VPD=sum(measured_VPD)
gen percent_measured_VPD=flag_count_VPD/48*100
format percent_measured_VPD %8.0f
drop VPD_orig

gen measured_NEE=0
replace measured_NEE=1 if NEE_orig_gc!=.
sort Year Doy Hour hhmm
by Year Doy: egen flag_count=sum(measured_NEE)
gen percent_measured_NEE=flag_count/48*100
format percent_measured_NEE %8.0f

gen measured_LE=0
replace measured_LE=1 if LE_orig!=.
sort Year Doy Hour hhmm
by Year Doy: egen flag_count_LE=sum(measured_LE)
gen percent_measured_LE=flag_count_LE/48*100
format percent_measured_LE %8.0f

gen measured_H=0
replace measured_H=1 if H_orig!=.
sort Year Doy Hour hhmm
by Year Doy: egen flag_count_H=sum(measured_H)
gen percent_measured_H=flag_count_H/48*100
format percent_measured_H %8.0f

order timestamp date Year Month Day Doy Hour Minute hhmm Tair Tsoil Rg VPD measured_VPD percent_measured_VPD RH NEE NEE_gC measured_NEE flag_count percent_measured_NEE NEE_unc_gC RECO_gC GPP_gC LE E measured_LE percent_measured_LE H measured_H percent_measured_H
drop NEE_orig-flag_count_H
*_____________________________________________________________________________________________________________________________________

*_____________________________________________________________________________________________________________________________________
sort Year Doy Hour hhmm
save C:\Mislav\90_EC_data\Tair_gf_ustf\Polusatni_podaci\half_hourly_2008_2017_v6im_v2.dta, replace
merge Year Doy Hour hhmm using C:\Mislav\80_Meteo_data\Polusatni_podaci\Meteo_2008_2017_halfhourly.dta
drop _m
drop  Ta Ts Rg2 RH2
order timestamp date Year Month Day Doy Hour Minute hhmm Tair ta_measured percent_measured_ta Tsoil Ts_measured percent_measured_Ts Tc Rg rg_measured percent_measured_rg VPD measured_VPD percent_measured_VPD RH rh_measured percent_measured_rh P SWC
*format NEE %8.2f
*format NEE_gC %8.2f
*format NEE_unc_gC %8.2f
*format RECO_gC %8.2f
*format GPP_gC %8.2f
*format LE %8.2f
*format E %8.2f
*format H %8.2f
drop time
sort Year Doy hhmm
save C:\Mislav\90_EC_data\Tair_gf_ustf\Polusatni_podaci\half_hourly_2008_2017_v6im_v2.dta, replace
*_____________________________________________________________________________________________________________________________________

* Calculation of daily values
*_____________________________________________________________________________________________________________________________________
sort Year Doy Hour hhmm
by Year Doy: egen Ta_daily=mean(Tair)
format Ta_daily %8.2f
by Year Doy: egen Ts_daily=mean(Tsoil)
format Ts_daily %8.2f
by Year Doy: egen Rg_daily=mean(Rg)
format Rg_daily %8.0f
by Year Doy: egen VPD_daily=mean(VPD)
format VPD_daily %8.2f
by Year Doy: egen RH_daily=mean(RH)
format RH_daily %8.1f
by Year Doy: egen Tc_daily=mean(Tc)
format Tc_daily %8.2f
by Year Doy: egen P_daily=sum(P)
format P_daily %8.2f
by Year Doy: egen SWC_daily=mean(SWC)
format SWC_daily %8.2f
by Year Doy: egen NEE_daily=sum(NEE_gC)
*format NEE_daily %8.2f
by Year Doy: egen RECO_daily=sum(RECO_gC)
*format RECO_daily %8.2f
by Year Doy: egen GPP_daily=sum(GPP_gC)
*format GPP_daily %8.2f
gen NPP_daily=-NEE_daily+0.3921*RECO_daily if Year==2008
replace NPP_daily=-NEE_daily+0.3917*RECO_daily if Year==2009
replace NPP_daily=-NEE_daily+0.3919*RECO_daily if Year>2009
*format NPP_daily %8.2f
gen Rh_daily=0.3921*RECO_daily if Year==2008
replace Rh_daily=0.3917*RECO_daily if Year==2009
replace Rh_daily=0.3919*RECO_daily if Year>2009
*format Rh_daily %8.2f
gen Ra_daily=RECO_daily-Rh_daily
*format Rh_daily %8.2f
by Year Doy: egen LE_daily=sum(LE)
*format LE_daily %8.2f
by Year Doy: egen E_daily=sum(E)
*format E_daily %8.2f
by Year Doy: egen H_daily=sum(H)
*format H_daily %8.2f
gen unc2=NEE_unc_gC*NEE_unc_gC
by Year Doy: egen NEE_unc_d2=sum(unc2)
gen unc_NEE_daily=sqrt(NEE_unc_d2)
*format unc_NEE_daily %8.2f 
drop NEE_unc_d2
by Year: egen NEE_unc_d2=sum(unc2)
gen unc_NEE_total=sqrt(NEE_unc_d2)
*format unc_NEE_total %8.2f 
drop NEE_unc_d2
sort Year Month Doy Hour hhmm
by Year Month: egen NEE_unc_d2=sum(unc2)
gen unc_NEE_monthly=sqrt(NEE_unc_d2)
*format unc_NEE_monthly %8.2f 
drop NEE_unc_d2 unc2

order  timestamp date Year Month Day Doy Hour Minute hhmm Ta_daily percent_measured_ta Ts_daily  percent_measured_Ts Rg_daily  percent_measured_rg VPD_daily percent_measured_VPD RH_daily  percent_measured_rh Tc_daily P_daily SWC_daily NEE_daily  flag_count percent_measured_NEE unc_NEE_daily unc_NEE_monthly unc_NEE_total RECO_daily Ra_daily Rh_daily GPP_daily NPP_daily LE_daily E_daily  percent_measured_LE H_daily  percent_measured_H LE_daily
drop  Tair- measured_H
sort Year Doy Hour hhmm 
keep if hhmm==30
*_____________________________________________________________________________________________________________________________________

* Calculation of cumulative sums
*_____________________________________________________________________________________________________________________________________
gen NEE_cumulative=.
replace NEE_cumulative=NEE_daily[_n] if _n==1 & Year==2008
replace NEE_cumulative=NEE_daily[_n] + NEE_daily[_n-1] if _n==2 & Year==2008 
replace NEE_cumulative=NEE_daily[_n] + NEE_cumulative[_n-1] if _n>2 & Year==2008

replace NEE_cumulative=NEE_daily[_n] if _n==367 & Year==2009
replace NEE_cumulative=NEE_daily[_n] + NEE_daily[_n-1] if _n==368 & Year==2009 
replace NEE_cumulative=NEE_daily[_n] + NEE_cumulative[_n-1] if _n>368 & Year==2009

replace NEE_cumulative=NEE_daily[_n] if _n==732 & Year==2010
replace NEE_cumulative=NEE_daily[_n] + NEE_daily[_n-1] if _n==733 & Year==2010 
replace NEE_cumulative=NEE_daily[_n] + NEE_cumulative[_n-1] if _n>733 & Year==2010

replace NEE_cumulative=NEE_daily[_n] if _n==1097 & Year==2011
replace NEE_cumulative=NEE_daily[_n] + NEE_daily[_n-1] if _n==1098 & Year==2011
replace NEE_cumulative=NEE_daily[_n] + NEE_cumulative[_n-1] if _n>1098 & Year==2011

replace NEE_cumulative=NEE_daily[_n] if _n==1462 & Year==2012
replace NEE_cumulative=NEE_daily[_n] + NEE_daily[_n-1] if _n==1463 & Year==2012 
replace NEE_cumulative=NEE_daily[_n] + NEE_cumulative[_n-1] if _n>1463 & Year==2012

replace NEE_cumulative=NEE_daily[_n] if _n==1828 & Year==2013
replace NEE_cumulative=NEE_daily[_n] + NEE_daily[_n-1] if _n==1829 & Year==2013 
replace NEE_cumulative=NEE_daily[_n] + NEE_cumulative[_n-1] if _n>1829 & Year==2013

replace NEE_cumulative=NEE_daily[_n] if _n==2193 & Year==2014
replace NEE_cumulative=NEE_daily[_n] + NEE_daily[_n-1] if _n==2194 & Year==2014 
replace NEE_cumulative=NEE_daily[_n] + NEE_cumulative[_n-1] if _n>2194 & Year==2014

replace NEE_cumulative=NEE_daily[_n] if _n==2558 & Year==2015
replace NEE_cumulative=NEE_daily[_n] + NEE_daily[_n-1] if _n==2559 & Year==2015 
replace NEE_cumulative=NEE_daily[_n] + NEE_cumulative[_n-1] if _n>2559 & Year==2015

replace NEE_cumulative=NEE_daily[_n] if _n==2923 & Year==2016
replace NEE_cumulative=NEE_daily[_n] + NEE_daily[_n-1] if _n==2924 & Year==2016 
replace NEE_cumulative=NEE_daily[_n] + NEE_cumulative[_n-1] if _n>2924 & Year==2016

replace NEE_cumulative=NEE_daily[_n] if _n==3289 & Year==2017
replace NEE_cumulative=NEE_daily[_n] + NEE_daily[_n-1] if _n==3290 & Year==2017 
replace NEE_cumulative=NEE_daily[_n] + NEE_cumulative[_n-1] if _n>3290 & Year==2017

gen NEE_unc_cumulative=.
replace NEE_unc_cumulative=unc_NEE_daily[_n] if _n==1 & Year==2008
replace NEE_unc_cumulative=unc_NEE_daily[_n] + unc_NEE_daily[_n-1] if _n==2 & Year==2008
replace NEE_unc_cumulative=unc_NEE_daily[_n] + NEE_unc_cumulative[_n-1] if _n>2 & Year==2008

replace NEE_unc_cumulative=unc_NEE_daily[_n] if _n==367 & Year==2009
replace NEE_unc_cumulative=unc_NEE_daily[_n] + unc_NEE_daily[_n-1] if _n==368 & Year==2009
replace NEE_unc_cumulative=unc_NEE_daily[_n] + NEE_unc_cumulative[_n-1] if _n>368 & Year==2009

replace NEE_unc_cumulative=unc_NEE_daily[_n] if _n==732 & Year==2010
replace NEE_unc_cumulative=unc_NEE_daily[_n] + unc_NEE_daily[_n-1] if _n==733 & Year==2010
replace NEE_unc_cumulative=unc_NEE_daily[_n] + NEE_unc_cumulative[_n-1] if _n>733 & Year==2010

replace NEE_unc_cumulative=unc_NEE_daily[_n] if _n==1097 & Year==2011
replace NEE_unc_cumulative=unc_NEE_daily[_n] + unc_NEE_daily[_n-1] if _n==1098 & Year==2011
replace NEE_unc_cumulative=unc_NEE_daily[_n] + NEE_unc_cumulative[_n-1] if _n>1098 & Year==2011

replace NEE_unc_cumulative=unc_NEE_daily[_n] if _n==1462 & Year==2012
replace NEE_unc_cumulative=unc_NEE_daily[_n] + unc_NEE_daily[_n-1] if _n==1463 & Year==2012
replace NEE_unc_cumulative=unc_NEE_daily[_n] + NEE_unc_cumulative[_n-1] if _n>1463 & Year==2012

replace NEE_unc_cumulative=unc_NEE_daily[_n] if _n==1828 & Year==2013
replace NEE_unc_cumulative=unc_NEE_daily[_n] + unc_NEE_daily[_n-1] if _n==1829 & Year==2013
replace NEE_unc_cumulative=unc_NEE_daily[_n] + NEE_unc_cumulative[_n-1] if _n>1829 & Year==2013

replace NEE_unc_cumulative=unc_NEE_daily[_n] if _n==2193 & Year==2014
replace NEE_unc_cumulative=unc_NEE_daily[_n] + unc_NEE_daily[_n-1] if _n==2194 & Year==2014
replace NEE_unc_cumulative=unc_NEE_daily[_n] + NEE_unc_cumulative[_n-1] if _n>2194 & Year==2014

replace NEE_unc_cumulative=unc_NEE_daily[_n] if _n==2558 & Year==2015
replace NEE_unc_cumulative=unc_NEE_daily[_n] + unc_NEE_daily[_n-1] if _n==2559 & Year==2015
replace NEE_unc_cumulative=unc_NEE_daily[_n] + NEE_unc_cumulative[_n-1] if _n>2559 & Year==2015

replace NEE_unc_cumulative=unc_NEE_daily[_n] if _n==2923 & Year==2016
replace NEE_unc_cumulative=unc_NEE_daily[_n] + unc_NEE_daily[_n-1] if _n==2924 & Year==2016
replace NEE_unc_cumulative=unc_NEE_daily[_n] + NEE_unc_cumulative[_n-1] if _n>2924 & Year==2016

replace NEE_unc_cumulative=unc_NEE_daily[_n] if _n==3289 & Year==2017
replace NEE_unc_cumulative=unc_NEE_daily[_n] + unc_NEE_daily[_n-1] if _n==3290 & Year==2017
replace NEE_unc_cumulative=unc_NEE_daily[_n] + NEE_unc_cumulative[_n-1] if _n>3290 & Year==2017

gen RECO_cumulative=.
replace RECO_cumulative=RECO_daily[_n] if _n==1 & Year==2008
replace RECO_cumulative=RECO_daily[_n] + RECO_daily[_n-1] if _n==2 & Year==2008 
replace RECO_cumulative=RECO_daily[_n] + RECO_cumulative[_n-1] if _n>2 & Year==2008

replace RECO_cumulative=RECO_daily[_n] if _n==367 & Year==2009
replace RECO_cumulative=RECO_daily[_n] + RECO_daily[_n-1] if _n==368 & Year==2009 
replace RECO_cumulative=RECO_daily[_n] + RECO_cumulative[_n-1] if _n>368 & Year==2009

replace RECO_cumulative=RECO_daily[_n] if _n==732 & Year==2010
replace RECO_cumulative=RECO_daily[_n] + RECO_daily[_n-1] if _n==733 & Year==2010 
replace RECO_cumulative=RECO_daily[_n] + RECO_cumulative[_n-1] if _n>733 & Year==2010

replace RECO_cumulative=RECO_daily[_n] if _n==1097 & Year==2011
replace RECO_cumulative=RECO_daily[_n] + RECO_daily[_n-1] if _n==1098 & Year==2011
replace RECO_cumulative=RECO_daily[_n] + RECO_cumulative[_n-1] if _n>1098 & Year==2011

replace RECO_cumulative=RECO_daily[_n] if _n==1462 & Year==2012
replace RECO_cumulative=RECO_daily[_n] + RECO_daily[_n-1] if _n==1463 & Year==2012 
replace RECO_cumulative=RECO_daily[_n] + RECO_cumulative[_n-1] if _n>1463 & Year==2012

replace RECO_cumulative=RECO_daily[_n] if _n==1828 & Year==2013
replace RECO_cumulative=RECO_daily[_n] + RECO_daily[_n-1] if _n==1829 & Year==2013 
replace RECO_cumulative=RECO_daily[_n] + RECO_cumulative[_n-1] if _n>1829 & Year==2013

replace RECO_cumulative=RECO_daily[_n] if _n==2193 & Year==2014
replace RECO_cumulative=RECO_daily[_n] + RECO_daily[_n-1] if _n==2194 & Year==2014 
replace RECO_cumulative=RECO_daily[_n] + RECO_cumulative[_n-1] if _n>2194 & Year==2014

replace RECO_cumulative=RECO_daily[_n] if _n==2558 & Year==2015
replace RECO_cumulative=RECO_daily[_n] + RECO_daily[_n-1] if _n==2559 & Year==2015 
replace RECO_cumulative=RECO_daily[_n] + RECO_cumulative[_n-1] if _n>2559 & Year==2015

replace RECO_cumulative=RECO_daily[_n] if _n==2923 & Year==2016
replace RECO_cumulative=RECO_daily[_n] + RECO_daily[_n-1] if _n==2924 & Year==2016 
replace RECO_cumulative=RECO_daily[_n] + RECO_cumulative[_n-1] if _n>2924 & Year==2016

replace RECO_cumulative=RECO_daily[_n] if _n==3289 & Year==2017
replace RECO_cumulative=RECO_daily[_n] + RECO_daily[_n-1] if _n==3290 & Year==2017 
replace RECO_cumulative=RECO_daily[_n] + RECO_cumulative[_n-1] if _n>3290 & Year==2017

gen Ra_cumulative=.
replace Ra_cumulative=Ra_daily[_n] if _n==1 & Year==2008
replace Ra_cumulative=Ra_daily[_n] + Ra_daily[_n-1] if _n==2 & Year==2008 
replace Ra_cumulative=Ra_daily[_n] + Ra_cumulative[_n-1] if _n>2 & Year==2008

replace Ra_cumulative=Ra_daily[_n] if _n==367 & Year==2009
replace Ra_cumulative=Ra_daily[_n] + Ra_daily[_n-1] if _n==368 & Year==2009 
replace Ra_cumulative=Ra_daily[_n] + Ra_cumulative[_n-1] if _n>368 & Year==2009

replace Ra_cumulative=Ra_daily[_n] if _n==732 & Year==2010
replace Ra_cumulative=Ra_daily[_n] + Ra_daily[_n-1] if _n==733 & Year==2010 
replace Ra_cumulative=Ra_daily[_n] + Ra_cumulative[_n-1] if _n>733 & Year==2010

replace Ra_cumulative=Ra_daily[_n] if _n==1097 & Year==2011
replace Ra_cumulative=Ra_daily[_n] + Ra_daily[_n-1] if _n==1098 & Year==2011
replace Ra_cumulative=Ra_daily[_n] + Ra_cumulative[_n-1] if _n>1098 & Year==2011

replace Ra_cumulative=Ra_daily[_n] if _n==1462 & Year==2012
replace Ra_cumulative=Ra_daily[_n] + Ra_daily[_n-1] if _n==1463 & Year==2012 
replace Ra_cumulative=Ra_daily[_n] + Ra_cumulative[_n-1] if _n>1463 & Year==2012

replace Ra_cumulative=Ra_daily[_n] if _n==1828 & Year==2013
replace Ra_cumulative=Ra_daily[_n] + Ra_daily[_n-1] if _n==1829 & Year==2013 
replace Ra_cumulative=Ra_daily[_n] + Ra_cumulative[_n-1] if _n>1829 & Year==2013

replace Ra_cumulative=Ra_daily[_n] if _n==2193 & Year==2014
replace Ra_cumulative=Ra_daily[_n] + Ra_daily[_n-1] if _n==2194 & Year==2014 
replace Ra_cumulative=Ra_daily[_n] + Ra_cumulative[_n-1] if _n>2194 & Year==2014

replace Ra_cumulative=Ra_daily[_n] if _n==2558 & Year==2015
replace Ra_cumulative=Ra_daily[_n] + Ra_daily[_n-1] if _n==2559 & Year==2015 
replace Ra_cumulative=Ra_daily[_n] + Ra_cumulative[_n-1] if _n>2559 & Year==2015

replace Ra_cumulative=Ra_daily[_n] if _n==2923 & Year==2016
replace Ra_cumulative=Ra_daily[_n] + Ra_daily[_n-1] if _n==2924 & Year==2016 
replace Ra_cumulative=Ra_daily[_n] + Ra_cumulative[_n-1] if _n>2924 & Year==2016

replace Ra_cumulative=Ra_daily[_n] if _n==3289 & Year==2017
replace Ra_cumulative=Ra_daily[_n] + Ra_daily[_n-1] if _n==3290 & Year==2017 
replace Ra_cumulative=Ra_daily[_n] + Ra_cumulative[_n-1] if _n>3290 & Year==2017

gen Rh_cumulative=.
replace Rh_cumulative=Rh_daily[_n] if _n==1 & Year==2008
replace Rh_cumulative=Rh_daily[_n] + Rh_daily[_n-1] if _n==2 & Year==2008 
replace Rh_cumulative=Rh_daily[_n] + Rh_cumulative[_n-1] if _n>2 & Year==2008

replace Rh_cumulative=Rh_daily[_n] if _n==367 & Year==2009
replace Rh_cumulative=Rh_daily[_n] + Rh_daily[_n-1] if _n==368 & Year==2009 
replace Rh_cumulative=Rh_daily[_n] + Rh_cumulative[_n-1] if _n>368 & Year==2009

replace Rh_cumulative=Rh_daily[_n] if _n==732 & Year==2010
replace Rh_cumulative=Rh_daily[_n] + Rh_daily[_n-1] if _n==733 & Year==2010 
replace Rh_cumulative=Rh_daily[_n] + Rh_cumulative[_n-1] if _n>733 & Year==2010

replace Rh_cumulative=Rh_daily[_n] if _n==1097 & Year==2011
replace Rh_cumulative=Rh_daily[_n] + Rh_daily[_n-1] if _n==1098 & Year==2011
replace Rh_cumulative=Rh_daily[_n] + Rh_cumulative[_n-1] if _n>1098 & Year==2011

replace Rh_cumulative=Rh_daily[_n] if _n==1462 & Year==2012
replace Rh_cumulative=Rh_daily[_n] + Rh_daily[_n-1] if _n==1463 & Year==2012 
replace Rh_cumulative=Rh_daily[_n] + Rh_cumulative[_n-1] if _n>1463 & Year==2012

replace Rh_cumulative=Rh_daily[_n] if _n==1828 & Year==2013
replace Rh_cumulative=Rh_daily[_n] + Rh_daily[_n-1] if _n==1829 & Year==2013 
replace Rh_cumulative=Rh_daily[_n] + Rh_cumulative[_n-1] if _n>1829 & Year==2013

replace Rh_cumulative=Rh_daily[_n] if _n==2193 & Year==2014
replace Rh_cumulative=Rh_daily[_n] + Rh_daily[_n-1] if _n==2194 & Year==2014 
replace Rh_cumulative=Rh_daily[_n] + Rh_cumulative[_n-1] if _n>2194 & Year==2014

replace Rh_cumulative=Rh_daily[_n] if _n==2558 & Year==2015
replace Rh_cumulative=Rh_daily[_n] + Rh_daily[_n-1] if _n==2559 & Year==2015 
replace Rh_cumulative=Rh_daily[_n] + Rh_cumulative[_n-1] if _n>2559 & Year==2015

replace Rh_cumulative=Rh_daily[_n] if _n==2923 & Year==2016
replace Rh_cumulative=Rh_daily[_n] + Rh_daily[_n-1] if _n==2924 & Year==2016 
replace Rh_cumulative=Rh_daily[_n] + Rh_cumulative[_n-1] if _n>2924 & Year==2016

replace Rh_cumulative=Rh_daily[_n] if _n==3289 & Year==2017
replace Rh_cumulative=Rh_daily[_n] + Rh_daily[_n-1] if _n==3290 & Year==2017 
replace Rh_cumulative=Rh_daily[_n] + Rh_cumulative[_n-1] if _n>3290 & Year==2017

gen GPP_cumulative=.
replace GPP_cumulative=GPP_daily[_n] if _n==1 & Year==2008
replace GPP_cumulative=GPP_daily[_n] + GPP_daily[_n-1] if _n==2 & Year==2008 
replace GPP_cumulative=GPP_daily[_n] + GPP_cumulative[_n-1] if _n>2 & Year==2008

replace GPP_cumulative=GPP_daily[_n] if _n==367 & Year==2009
replace GPP_cumulative=GPP_daily[_n] + GPP_daily[_n-1] if _n==368 & Year==2009 
replace GPP_cumulative=GPP_daily[_n] + GPP_cumulative[_n-1] if _n>368 & Year==2009

replace GPP_cumulative=GPP_daily[_n] if _n==732 & Year==2010
replace GPP_cumulative=GPP_daily[_n] + GPP_daily[_n-1] if _n==733 & Year==2010 
replace GPP_cumulative=GPP_daily[_n] + GPP_cumulative[_n-1] if _n>733 & Year==2010

replace GPP_cumulative=GPP_daily[_n] if _n==1097 & Year==2011
replace GPP_cumulative=GPP_daily[_n] + GPP_daily[_n-1] if _n==1098 & Year==2011
replace GPP_cumulative=GPP_daily[_n] + GPP_cumulative[_n-1] if _n>1098 & Year==2011

replace GPP_cumulative=GPP_daily[_n] if _n==1462 & Year==2012
replace GPP_cumulative=GPP_daily[_n] + GPP_daily[_n-1] if _n==1463 & Year==2012 
replace GPP_cumulative=GPP_daily[_n] + GPP_cumulative[_n-1] if _n>1463 & Year==2012

replace GPP_cumulative=GPP_daily[_n] if _n==1828 & Year==2013
replace GPP_cumulative=GPP_daily[_n] + GPP_daily[_n-1] if _n==1829 & Year==2013 
replace GPP_cumulative=GPP_daily[_n] + GPP_cumulative[_n-1] if _n>1829 & Year==2013

replace GPP_cumulative=GPP_daily[_n] if _n==2193 & Year==2014
replace GPP_cumulative=GPP_daily[_n] + GPP_daily[_n-1] if _n==2194 & Year==2014 
replace GPP_cumulative=GPP_daily[_n] + GPP_cumulative[_n-1] if _n>2194 & Year==2014

replace GPP_cumulative=GPP_daily[_n] if _n==2558 & Year==2015
replace GPP_cumulative=GPP_daily[_n] + GPP_daily[_n-1] if _n==2559 & Year==2015 
replace GPP_cumulative=GPP_daily[_n] + GPP_cumulative[_n-1] if _n>2559 & Year==2015

replace GPP_cumulative=GPP_daily[_n] if _n==2923 & Year==2016
replace GPP_cumulative=GPP_daily[_n] + GPP_daily[_n-1] if _n==2924 & Year==2016
replace GPP_cumulative=GPP_daily[_n] + GPP_cumulative[_n-1] if _n>2924 & Year==2016

replace GPP_cumulative=GPP_daily[_n] if _n==3289 & Year==2017
replace GPP_cumulative=GPP_daily[_n] + GPP_daily[_n-1] if _n==3290 & Year==2017
replace GPP_cumulative=GPP_daily[_n] + GPP_cumulative[_n-1] if _n>3290 & Year==2017

gen NPP_cumulative=.
replace NPP_cumulative=NPP_daily[_n] if _n==1 & Year==2008
replace NPP_cumulative=NPP_daily[_n] + NPP_daily[_n-1] if _n==2 & Year==2008 
replace NPP_cumulative=NPP_daily[_n] + NPP_cumulative[_n-1] if _n>2 & Year==2008

replace NPP_cumulative=NPP_daily[_n] if _n==367 & Year==2009
replace NPP_cumulative=NPP_daily[_n] + NPP_daily[_n-1] if _n==368 & Year==2009 
replace NPP_cumulative=NPP_daily[_n] + NPP_cumulative[_n-1] if _n>368 & Year==2009

replace NPP_cumulative=NPP_daily[_n] if _n==732 & Year==2010
replace NPP_cumulative=NPP_daily[_n] + NPP_daily[_n-1] if _n==733 & Year==2010 
replace NPP_cumulative=NPP_daily[_n] + NPP_cumulative[_n-1] if _n>733 & Year==2010

replace NPP_cumulative=NPP_daily[_n] if _n==1097 & Year==2011
replace NPP_cumulative=NPP_daily[_n] + NPP_daily[_n-1] if _n==1098 & Year==2011
replace NPP_cumulative=NPP_daily[_n] + NPP_cumulative[_n-1] if _n>1098 & Year==2011

replace NPP_cumulative=NPP_daily[_n] if _n==1462 & Year==2012
replace NPP_cumulative=NPP_daily[_n] + NPP_daily[_n-1] if _n==1463 & Year==2012 
replace NPP_cumulative=NPP_daily[_n] + NPP_cumulative[_n-1] if _n>1463 & Year==2012

replace NPP_cumulative=NPP_daily[_n] if _n==1828 & Year==2013
replace NPP_cumulative=NPP_daily[_n] + NPP_daily[_n-1] if _n==1829 & Year==2013 
replace NPP_cumulative=NPP_daily[_n] + NPP_cumulative[_n-1] if _n>1829 & Year==2013

replace NPP_cumulative=NPP_daily[_n] if _n==2193 & Year==2014
replace NPP_cumulative=NPP_daily[_n] + NPP_daily[_n-1] if _n==2194 & Year==2014 
replace NPP_cumulative=NPP_daily[_n] + NPP_cumulative[_n-1] if _n>2194 & Year==2014

replace NPP_cumulative=NPP_daily[_n] if _n==2558 & Year==2015
replace NPP_cumulative=NPP_daily[_n] + NPP_daily[_n-1] if _n==2559 & Year==2015 
replace NPP_cumulative=NPP_daily[_n] + NPP_cumulative[_n-1] if _n>2559 & Year==2015

replace NPP_cumulative=NPP_daily[_n] if _n==2923 & Year==2016
replace NPP_cumulative=NPP_daily[_n] + NPP_daily[_n-1] if _n==2924 & Year==2016 
replace NPP_cumulative=NPP_daily[_n] + NPP_cumulative[_n-1] if _n>2924 & Year==2016

replace NPP_cumulative=NPP_daily[_n] if _n==3289 & Year==2017
replace NPP_cumulative=NPP_daily[_n] + NPP_daily[_n-1] if _n==3290 & Year==2017 
replace NPP_cumulative=NPP_daily[_n] + NPP_cumulative[_n-1] if _n>3290 & Year==2017

gen E_cumulative=.
replace E_cumulative=E_daily[_n] if _n==1 & Year==2008
replace E_cumulative=E_daily[_n] + E_daily[_n-1] if _n==2 & Year==2008 
replace E_cumulative=E_daily[_n] + E_cumulative[_n-1] if _n>2 & Year==2008

replace E_cumulative=E_daily[_n] if _n==367 & Year==2009
replace E_cumulative=E_daily[_n] + E_daily[_n-1] if _n==368 & Year==2009 
replace E_cumulative=E_daily[_n] + E_cumulative[_n-1] if _n>368 & Year==2009

replace E_cumulative=E_daily[_n] if _n==732 & Year==2010
replace E_cumulative=E_daily[_n] + E_daily[_n-1] if _n==733 & Year==2010 
replace E_cumulative=E_daily[_n] + E_cumulative[_n-1] if _n>733 & Year==2010

replace E_cumulative=E_daily[_n] if _n==1097 & Year==2011
replace E_cumulative=E_daily[_n] + E_daily[_n-1] if _n==1098 & Year==2011
replace E_cumulative=E_daily[_n] + E_cumulative[_n-1] if _n>1098 & Year==2011

replace E_cumulative=E_daily[_n] if _n==1462 & Year==2012
replace E_cumulative=E_daily[_n] + E_daily[_n-1] if _n==1463 & Year==2012 
replace E_cumulative=E_daily[_n] + E_cumulative[_n-1] if _n>1463 & Year==2012

replace E_cumulative=E_daily[_n] if _n==1828 & Year==2013
replace E_cumulative=E_daily[_n] + E_daily[_n-1] if _n==1829 & Year==2013 
replace E_cumulative=E_daily[_n] + E_cumulative[_n-1] if _n>1829 & Year==2013

replace E_cumulative=E_daily[_n] if _n==2193 & Year==2014
replace E_cumulative=E_daily[_n] + E_daily[_n-1] if _n==2194 & Year==2014 
replace E_cumulative=E_daily[_n] + E_cumulative[_n-1] if _n>2194 & Year==2014

replace E_cumulative=E_daily[_n] if _n==2558 & Year==2015
replace E_cumulative=E_daily[_n] + E_daily[_n-1] if _n==2559 & Year==2015 
replace E_cumulative=E_daily[_n] + E_cumulative[_n-1] if _n>2559 & Year==2015

replace E_cumulative=E_daily[_n] if _n==2923 & Year==2016
replace E_cumulative=E_daily[_n] + E_daily[_n-1] if _n==2924 & Year==2016 
replace E_cumulative=E_daily[_n] + E_cumulative[_n-1] if _n>2924 & Year==2016

replace E_cumulative=E_daily[_n] if _n==3289 & Year==2017
replace E_cumulative=E_daily[_n] + E_daily[_n-1] if _n==3290 & Year==2017 
replace E_cumulative=E_daily[_n] + E_cumulative[_n-1] if _n>3290 & Year==2017

*format NEE_cumulative %8.2f
*format NEE_unc_cumulative %8.0f
*format RECO_cumulative %8.2f
*format Ra_cumulative %8.2f
*format Rh_cumulative %8.2f
*format GPP_cumulative %8.2f
*format NPP_cumulative %8.2f
*format NEE_cumulative %8.2f
*format E_cumulative %8.2f
drop timestamp Hour Minute hhmm
order date Year Month Day Doy Ta_daily percent_measured_ta Ts_daily percent_measured_Ts Rg_daily percent_measured_rg VPD_daily percent_measured_VPD RH_daily percent_measured_rh Tc_daily P_daily SWC_daily NEE_daily flag_count percent_measured_NEE NEE_cumulative  unc_NEE_daily NEE_unc_cumulative unc_NEE_monthly unc_NEE_total RECO_daily RECO_cumulative Ra_cumulative Rh_cumulative GPP_daily GPP_cumulative NPP_daily NPP_cumulative LE_daily E_daily E_cumulative percent_measured_LE H_daily percent_measured_H
sort Year Doy
save C:\Mislav\90_EC_data\Tair_gf_ustf\Dnevni_podaci\Daily_2008_2017_v6im_v2.dta, replace

* Calculation of monthly values
*______________________________________________________________________________________________________________________________________
sort Year Month Doy 
by Year Month: egen Ta_monthly=mean(Ta_daily)
format Ta_monthly %8.2f
by Year Month: egen Ts_monthly=mean(Ts_daily)
format Ts_monthly %8.2f
by Year Month: egen Rg_monthly=sum(Rg_daily)
format Rg_monthly %8.0f
by Year Month: egen VPD_monthly=mean(VPD_daily)
format VPD_monthly %8.2f
by Year Month: egen RH_monthly=mean(RH_daily)
format RH_monthly %8.1f
by Year Month: egen Tc_monthly=mean(Tc_daily)
format Tc_monthly %8.2f
by Year Month: egen P_monthly=sum(P_daily)
format P_monthly %8.2f
by Year Month: egen SWC_monthly=mean(SWC_daily)
format SWC_monthly %8.2f
by Year Month: egen NEE_monthly=sum(NEE_daily)
format NEE_monthly %8.2f
by Year Month: egen RECO_monthly=sum(RECO_daily)
format RECO_monthly %8.2f
by Year Month: egen Ra_monthly=sum(Ra_daily)
format Ra_monthly %8.2f
by Year Month: egen Rh_monthly=sum(Rh_daily)
format Rh_monthly %8.2f
by Year Month: egen GPP_monthly=sum(GPP_daily)
format GPP_monthly %8.2f
by Year Month: egen NPP_monthly=sum(NPP_daily)
format NPP_monthly %8.2f
by Year Month: egen LE_monthly=sum(LE_daily)
format LE_monthly %8.2f
by Year Month: egen E_monthly=sum(E_daily)
format E_monthly %8.2f
by Year Month: egen H_monthly=sum(H_daily)
format H_monthly %8.2f
order Year Month Ta_monthly Ts_monthly Rg_monthly VPD_monthly RH_monthly Tc_monthly P_monthly SWC_monthly NEE_monthly unc_NEE_monthly RECO_monthly Ra_monthly Rh_monthly GPP_monthly NPP_monthly LE_monthly E_monthly H_monthly
keep if Day==1
drop date-percent_measured_H
sort Year Month
save C:\Mislav\90_EC_data\Tair_gf_ustf\Mjesecni_podaci\Monthly_2008_2017_v6im_v2.dta, replace
*______________________________________________________________________________________________________________________________________

clear 
use C:\Mislav\90_EC_data\Tair_gf_ustf\Dnevni_podaci\Daily_2008_2017_v6im_v2.dta

* Calculation of annual flux values
*______________________________________________________________________________________________________________________________________
egen NEE_cumul_year=sum(NEE_daily), by (Year)
format NEE_cumul_year %8.0f
format unc_NEE_total %8.0f
egen LE_cumul_year=sum(LE_daily), by (Year)
format LE_cumul_year %8.0f
egen H_cumul_year=sum(H_daily), by (Year)
format H_cumul_year %8.0f
egen E_cumul_year=sum(E_daily), by (Year)
format E_cumul_year %8.0f
egen GPP_cumul_year=sum(GPP_daily), by (Year)
format GPP_cumul_year %8.0f
egen RECO_cumul_year=sum(RECO_daily), by (Year)
format RECO_cumul_year %8.0f
egen Ra_cumul_year=sum(Ra_daily), by (Year)
format Ra_cumul_year %8.0f
egen Rh_cumul_year=sum(Rh_daily), by (Year)
format Rh_cumul_year %8.0f
egen NPP_cumul_year=sum(NPP_daily), by (Year)
format NPP_cumul_year %8.0f
*_____________________________________________________________________________________________________________________________________

* Data coverage per year
*_____________________________________________________________________________________________________________________________________
sort Year Doy
egen flag_count_yearly=sum(flag_count), by (Year)
gen percentage_measured_data_yearly=0
replace percentage_measured_data_yearly=flag_count_yearly/17567*100 if Year==2008 | Year==2012 | Year==2016
replace percentage_measured_data_yearly=flag_count_yearly/17519*100 if Year==2009 | Year==2010 | Year==2011 | Year==2013 | Year==2014 | Year==2015 | Year==2017
format percentage_measured_data_yearly %8.0f
format percentage_measured_data_yearly %8.0f
order Year NEE_cumul_year unc_NEE_total GPP_cumul_year RECO_cumul_year Ra_cumul_year Rh_cumul_year NPP_cumul_year  LE_cumul_year H_cumul_year E_cumul_year flag_count_yearly percentage_measured_data_yearly
keep if Doy==1
drop date- percent_measured_H flag_count_yearly Ra_daily Rh_daily
sort Year
save C:\Mislav\90_EC_data\Tair_gf_ustf\Godisnji_podaci\yearly_2008_2017_v6im_v2.dta, replace
*_____________________________________________________________________________________________________________________________________









