clear  

*____________________________________________________________________________________________________________________________
use C:\Mislav\Data_maja\Jaska_Mladen_pokus\Podaci\Meteo_Maja_2013.dta
sort year doy hhmm
save C:\Mislav\Data_maja\Jaska_Mladen_pokus\Podaci\Meteo_Maja_2013.dta, replace
clear
*____________________________________________________________________________________________________________________________

*____________________________________________________________________________________________________________________________
use C:\Mislav\empty_met_timestamp\2013.dta
sort year doy hhmm
save C:\Mislav\empty_met_timestamp\2013.dta, replace
*____________________________________________________________________________________________________________________________

clear
 
* Loading of raw meteo data
*____________________________________________________________________________________________________________________________
use C:\Mislav\45_Stata_outputs\2013\Meteo_data\Meteo_raw_final
drop statatime gap
ren timestamp timestamp2
sort year doy hhmm
drop if year==2012 
drop if year==2014
merge year doy hhmm using C:\Mislav\empty_met_timestamp\2013.dta
sort year doy hhmm
drop _m record timestamp2
replace day=day-1 if hhmm==2400
replace day=31 if timestamp=="2013-02-01 00:00"
replace day=28 if timestamp=="2013-03-01 00:00"
replace day=31 if timestamp=="2013-04-01 00:00"
replace day=30 if timestamp=="2013-05-01 00:00"
replace day=31 if timestamp=="2013-06-01 00:00"
replace day=30 if timestamp=="2013-07-01 00:00"
replace day=31 if timestamp=="2013-08-01 00:00"
replace day=31 if timestamp=="2013-09-01 00:00"
replace day=30 if timestamp=="2013-10-01 00:00"
replace day=31 if timestamp=="2013-11-01 00:00"
replace day=30 if timestamp=="2014-12-01 00:00"
order timestamp date year month day doy hour minute hhmm time
*____________________________________________________________________________________________________________________________

* Kontrola kvalitete meteorolokih podataka
*____________________________________________________________________________________________________________________________

* I.) I.) PPFD and global radiation
*_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
replace ppfd_up=0 if ppfd_up<1
replace ppfd_up=. if ppfd_up<-999
replace ppfd_down=0 if ppfd_down<1
replace ppfd_down=. if ppfd_down<-999
*Korekcija ppfd_up i _down zbog krivog multiplikacijskog faktora (bio je 200, sad je prominjenjeno u 233.45, odnosno 250.10)               
replace ppfd_up=ppfd_up*1.16725
replace ppfd_down=ppfd_down*1.2505 
replace ppfd_down=. if ppfd_down<0 | ppfd_down>2300
replace ppfd_up=1.3*ppfd_up 
replace ppfd_up=. if ppfd_up<0 | ppfd_up>2200
format ppfd_up %8.0f
format ppfd_down %8.0f
format rn %8.2f

replace rg=0 if rg<0
replace rg=. if rg<0 | rg>1200
replace rn=0 if rn<0
replace rn=. if rn<0 | rn>1200
replace rg=rg*0.82197 if year==2008 & doy==128 & hhmm>1100
replace rg=rg*0.82197 if year==2008 & doy>128
replace rg=rg*0.82197 if year>2008
replace rg=0 if rg<1 & hhmm>2100
replace rg=0 if rg<1 & hhmm<500

* Number of measured rg data
gen rg_measured=1
replace rg_measured=0 if rg==.
egen rg_measured_count=sum(rg_measured), by (doy)
gen percent_measured_rg=rg_measured_count/48*100
drop rg_measured_count
format percent_measured_rg %8.0f
format rg %8.0f
*_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

* II.) Air pressure
*_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
replace press=. if press<70 | press>130
format press %8.3f
*_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

* III.) Air, soil and canopy temperature (Ta, Tc and Ts)
*_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
replace ta=. if ta<-50 | ta>50

replace tc=. if tc<-50 | tc>50
* Replace Tc because the sensor was moved when profiler was installed 
replace tc=0.97*ta-1.22 if year==2008 & doy<129
format tc %8.2f

* Correct soil temperatures and calculate the averages
replace  ts1=. if  ts1<-20 |  ts1>50
replace  ts2=. if  ts2<-20 |  ts2>50
replace  ts3=. if  ts3<-20 |  ts3>50
replace  ts4=. if  ts4<-20 |  ts4>50
replace  ts5=. if  ts5<-20 |  ts5>50
replace  ts6=. if  ts6<-20 |  ts6>50
gen flag=1 if year<2011
replace flag=1 if year==2011 & doy<92
gen ts2_new=ts2[_n+6]
replace ts1=. if flag==1
replace ts3=. if flag==1
replace ts4=. if flag==1
replace ts5=. if flag==1
replace ts6=. if flag==1
egen ts_5cm=rmean(ts1 ts4)
egen ts_15cm=rmean(ts2 ts5)
egen ts_25cm=rmean(ts3 ts6)
replace ts_15cm=. if flag==1
replace ts_25cm=. if flag==1
replace ts_5cm=ts2_new if flag==1
replace ts_5cm=. if ta==. & tc==. & rg==.
drop flag ts2_new ts1-ts6

* Number of measured Ts data
gen ts5cm_measured=1
replace ts5cm_measured=0 if ts_5cm==.
egen ts5cm_measured_count=sum(ts5cm_measured), by (doy)
gen percent_measured_ts5cm=ts5cm_measured_count/48*100
drop ts5cm_measured_count
format percent_measured_ts5cm %8.0f
format ts_5cm %8.2f
format ts_15cm %8.2f
format ts_25cm %8.2f

* Number of measured Ta data
gen ta_measured=1
replace ta_measured=0 if ta==.
egen ta_measured_count=sum(ta_measured), by (doy)
gen percent_measured_ta=ta_measured_count/48*100
drop ta_measured_count
format percent_measured_ta %8.0f
format ta %8.2f
*_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

* IV.) relative humidity, rH 
*_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
replace rh=. if rh<0
replace rh=100 if rh>100 & rh!=.

* Number of measured rH data
gen rh_measured=1
replace rh_measured=0 if rh==.
egen rh_measured_count=sum(rh_measured), by (doy)
gen percent_measured_rh=rh_measured_count/48*100
drop rh_measured_count
format percent_measured_rh %8.0f
format rh %8.1f
*_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

* V.) Soil water content, SWC
*_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
replace swc1=. if swc1<0 | swc1>1
replace swc2=. if swc2<0 | swc2>1
egen swc=rmean(swc1 swc2)
format swc %8.2f
egen shf_5cm=rmean(shf1 shf3)
egen shf_15cm=rmean(shf2 shf4)
replace shf_5cm=. if shf_5cm<-300 | shf_5cm>300
replace shf_15cm=. if shf_15cm<-300 | shf_15cm>300
drop swc1 swc2
drop shf1-shf4
*_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

* VI.) Precipitation
*_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
replace p=. if p<0 | p>200
replace p=0 if p<0.1
replace p=p/0.77 
format p %8.2f
*_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

replace wd=.
replace ws=.
ren ws WS
ren wd WD
replace  ta_palm_box=.
*________________________________________________________________________________

order timestamp date year month day doy hour minute hhmm time ta ta_measured percent_measured_ta tc ts_5cm ts5cm_measured percent_measured_ts5cm rg rg_measured percent_measured_rg rh rh_measured percent_measured_rh p swc agc_avg ppfd_up ppfd_down

sort year doy hhmm
drop if year==. & doy==. & time==.
replace day=31 if timestamp=="2014-01-01 00:00"

* Renaming variables 
*_____________________________________________________________________________________________________________________________
ren p P
ren ts_5cm Ts1
ren ts_15cm Ts2
ren ts_25cm Ts3
ren rg Rg
ren rn Rn
gen Rr=.
gen LWin=.
gen LWout=0.90*5.67*10^(-8)*( tc+273)^4
replace LWout=. if LWout<50 | LWout>700
gen Rd=.
ren ppfd_up PPFD
ren ppfd_down PPFDr
gen PPFDd=.
gen PPFDbc=.
gen APAR=.
ren ta Ta
ren press Pa
ren tc Tc
gen Tbole=.
ren swc SWC1
gen SWC2=.
gen SWC3=.
ren shf_5cm G1
ren shf_15cm G2
ren rh Rh
*______________________________________________________________________________________________________________________________

* Discarding of duplicates
*______________________________________________________________________________________________________________________________
gen duplicate=1 if year==year[_n-1] & doy==doy[_n-1] & hhmm==hhmm[_n-1]
drop if duplicate==1
drop duplicate power_cr1000 main_power_V ta_palm_box 
sort time
*______________________________________________________________________________________________________________________________

* Linear interpolation of single gap
*______________________________________________________________________________________________________________________________
replace Ta=(Ta[_n+1]+Ta[_n-1])/2 if Ta==. & Ta[_n+1]!=. & Ta[_n-1]!=.
replace Rh=(Rh[_n+1]+Rh[_n-1])/2 if Rh==. & Rh[_n+1]!=. & Rh[_n-1]!=.
replace Rg=(Rg[_n+1]+Rg[_n-1])/2 if Rg==. & Rg[_n+1]!=. & Rg[_n-1]!=.
replace Ts1=(Ts1[_n+1]+Ts1[_n-1])/2 if Ts1==. & Ts1[_n+1]!=. & Ts1[_n-1]!=.
replace SWC1=(SWC1[_n+1]+SWC1[_n-1])/2 if SWC1==. & SWC1[_n+1]!=. & SWC1[_n-1]!=.
*______________________________________________________________________________________________________________________________

* Ta data gap-filling using the data from auxillary meteo station
*______________________________________________________________________________________________________________________________
sort year doy hhmm
save C:\Mislav\45_Stata_outputs\2013\Meteo_data_2013.dta, replace
merge year doy hhmm using C:\Mislav\Data_maja\Jaska_Mladen_pokus\Podaci\Meteo_Maja_2013.dta
drop _m
regress Ta Tmp_Maja
gen a=_b[Tmp_Maja]
gen b=_b[_cons]
replace Ta=a*Tmp_Maja+b if Ta==. & Tmp_Maja!=.
drop Soil_moist_Maja-b
*______________________________________________________________________________________________________________________________

*______________________________________________________________________________________________________________________________
save C:\Mislav\45_Stata_outputs\2013\Meteo_data_2013.dta, replace
outsheet timestamp date year month day doy hour minute hhmm time Ta ta_measured percent_measured_ta Tc Ts1 ts5cm_measured percent_measured_ts5cm Rg rg_measured percent_measured_rg Rh rh_measured percent_measured_rh P SWC1 agc_avg PPFD PPFDr WD WS Rn co2_avg h2o_avg Pa Ts2 Ts3 G1 G2 Rr LWin LWout Rd PPFDd PPFDbc APAR Tbole SWC2 SWC3 using C:\Mislav\45_Stata_outputs\2013\Meteo2013.csv, comma replace
*______________________________________________________________________________________________________________________________